#[macro_use]
extern crate log;

mod account;
mod bank;
mod protocol;
mod server;
mod threadpool;
mod commands;

fn main() {
    pretty_env_logger::init();

    let host = "127.0.0.1:1234";
    info!("running on {}", host);
    server::run(host, 8).expect("failed to run server");
}
